   return new Promise(function (resolve, reject) {
        var files = [];
        var count = 0;

        _vinylFs["default"].
        src(_this2.inputPaths.map(function (x) {return x + '/**/*.{js,hbs}';})).
        pipe((0, _gulpSort["default"])()).
        pipe(
        new _transform["default"](_this2.options).
        on('reading', function (file) {
          if (!this.options.silent) {
            console.log('  [read]  '.green + file.path);
          }
          count++;
        }).
        on('data', function (file) {
          files.push(_fsExtra["default"].outputFile(file.path, file.contents));
          if (!this.options.silent) {
            console.log('  [write] '.green + file.path);
          }
        }).
        on('error', function (message, region) {
          if (typeof region === 'string') {
            message += ': ' + region.trim();
          }
          console.log('  [error] '.red + message);
        }).
        on('finish', function () {
          if (!this.options.silent) {
            console.log();
          }
          console.log('  Stats:  '.yellow + count + ' files were parsed');

          Promise.all(files).then(function () {
            resolve(files);
          });
        }));

      });
    } }]);return i18nextParser;}(_broccoliPlugin["default"]);exports["default"] = i18nextParser;module.exports = exports.default;